# $Revision: 1.25 $, $Date: 2011/09/18 20:53:19 $
# TODO:
# - update to 2.0.3 (temporary broken link)
# - packaging compiled .mo is not upgradeable, drop it or include .po
Summary:	Tool for configuring the Openbox window manager
Summary(pl.UTF-8):	Narzędzie do konfiguracji zarządcy okien Openbox
Name:		obconf
Version:	2.0.3
Release:	5
License:	GPL v2+
Group:		X11/Applications
Source0:	http://icculus.org/openbox/obconf/%{name}-%{version}.tar.gz
# Source0-md5:	b22e273721851dedad72acbc77eefb68
Source1:	%{name}.mo
Patch0:		%{name}-desktop.patch
URL:		http://openbox.org/obconf/
BuildRequires:	autoconf >= 2.54
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.15
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libtool
BuildRequires:	openbox-devel >= 1:3.4.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	startup-notification-devel
Requires(post,postun):	shared-mime-info
Requires:	desktop-file-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ObConf allows you to configure Openbox in real-time. You can change
options such as the theme, desktop names, and focus settings.

%description -l pl.UTF-8
ObConf pozwala na konfigurację Openboksa w czasie rzeczywistym. Można
nim zmieniać opcje takie jak motyw, nazwy pulpitów i ustawienia
zachowania okien.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# install pl locale
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/locale/pl/LC_MESSAGES

# no -> nb
mv $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}

%find_lang %{name}

# kde3 file association, shared-mime-info should be sufficant nowadays
%{__rm} $RPM_BUILD_ROOT%{_datadir}/mimelnk/application/x-openbox-theme.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_mime_database

%postun
%update_mime_database

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/obconf
%{_datadir}/%{name}
%{_desktopdir}/obconf.desktop
%{_pixmapsdir}/obconf.png
%{_datadir}/mime/packages/obconf.xml

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: obconf.spec,v $
Revision 1.25  2011/09/18 20:53:19  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.24  2011/04/01 06:23:00  glen
- drop kde3 dependency

Revision 1.23  2010/08/26 18:54:07  lisu
- add pl locale
- rel 3

Revision 1.22  2010/08/25 13:30:40  lisu
- no -> nb
- rel 2

Revision 1.21  2010/08/24 19:44:03  lisu
- updated to 2.0.3
- package icon
- pl fix

Revision 1.20  2009/03/17 11:25:43  blues
- rel.5

Revision 1.19  2008/11/01 11:16:11  arekm
- release 4

Revision 1.18  2008/10/06 19:14:36  arekm
- release 3

Revision 1.17  2008/02/23 21:57:08  glen
- release 2

Revision 1.16  2008-01-20 17:57:51  megabajt
- updated to 2.0.2

Revision 1.15  2007-02-13 07:16:50  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.13  2006/08/14 15:23:05  freetz
- 1.6, updated source download link, use HEAD deps

Revision 1.12  2005/11/15 22:42:09  freetz
- rel.3 for rebuild with new openbox libs (soname change)

Revision 1.11  2004/12/02 20:30:38  qboosh
- some versions

Revision 1.10  2004/12/02 01:42:20  zbyniu
- BR: pkgconfig, startup-notification-devel

Revision 1.9  2004/09/17 04:54:47  freetz
- added desktop patch, removed TODO cruft, rel.2

Revision 1.8  2003/09/30 19:56:47  adgor
- Fixed BR

Revision 1.7  2003/09/30 18:45:08  freetz
- version 1.5
- TODO etries removed (.desktop file present, obconf is accessible in
  GNOME CC)

Revision 1.6  2003/09/30 10:07:46  qboosh
- pl fix, removed BR: xft-devel (used through gtk+2, not directly)

Revision 1.5  2003/09/26 09:57:36  freetz
- up to 1.4 (now accessible in GNOME CC)

Revision 1.4  2003/09/23 18:06:40  freetz
- 1.3 version, rel.1, works stable, without any problems

Revision 1.3  2003/09/16 18:49:14  freetz
- up to 1.1

Revision 1.2  2003/09/12 13:53:03  freetz
- unpersonification and dehumanisation of pl description ;)

Revision 1.1  2003/09/12 13:05:16  freetz
- openbox config stuff
